<?xml version="1.0" encoding="utf-8"?>
<androidx.core.widget.NestedScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".ui.fragment.FileFragment">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="16dp"
            android:layout_marginTop="16dp"
            android:text="My Files"
            android:textColor="@color/black"
            android:textSize="20sp"
            android:textStyle="bold"
            tools:ignore="HardcodedText" />

        <androidx.cardview.widget.CardView
            android:layout_width="match_parent"
            android:layout_height="105dp"
            android:layout_marginHorizontal="16dp"
            android:layout_marginTop="12dp"
            app:cardBackgroundColor="#EEF7FF"
            app:cardCornerRadius="15dp"
            app:cardElevation="0dp">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent">


                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="16dp"
                    android:orientation="horizontal"
                    app:layout_constraintBottom_toTopOf="@id/tv_clean"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent"
                    tools:ignore="MissingConstraints">

                    <TextView
                        android:id="@+id/tv_used_storage"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:textSize="22sp"
                        android:textStyle="bold"
                        tools:text="15.7 GB" />

                    <TextView
                        android:id="@+id/tv_total_storage"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:textColor="#666666"
                        android:textSize="22sp"
                        android:textStyle="bold"
                        tools:text=" / 128 GB" />
                </LinearLayout>

                <TextView
                    android:id="@+id/tv_clean"
                    android:layout_width="90dp"
                    android:layout_height="34dp"
                    android:layout_marginStart="16dp"
                    android:background="@drawable/bg_f95242_17"
                    android:gravity="center"
                    android:text="Clean"
                    android:textColor="@color/white"
                    android:textSize="18sp"
                    android:textStyle="bold"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent"
                    app:layout_constraintVertical_bias="0.6"
                    tools:ignore="HardcodedText" />

                <LinearLayout
                    android:id="@+id/linearLayout"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="16dp"
                    android:orientation="horizontal"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/tv_clean">


                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal"
                        android:padding="5dp"
                        tools:ignore="UseCompoundDrawables">

                        <ImageView
                            android:layout_width="8dp"
                            android:layout_height="8dp"
                            android:layout_gravity="center_vertical"
                            android:background="@drawable/bg_ff412f_8"
                            tools:ignore="ContentDescription" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_marginStart="5dp"
                            android:text="App"
                            android:textColor="#666666"
                            android:textSize="12sp"
                            android:textStyle="bold"
                            tools:ignore="HardcodedText" />

                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal"
                        android:padding="5dp"
                        tools:ignore="UseCompoundDrawables">

                        <ImageView
                            android:layout_width="8dp"
                            android:layout_height="8dp"
                            android:layout_gravity="center_vertical"
                            android:background="@drawable/bg_ffc834_8"
                            tools:ignore="ContentDescription" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_marginStart="5dp"
                            android:text="Video"
                            android:textColor="#666666"
                            android:textSize="12sp"
                            android:textStyle="bold"
                            tools:ignore="HardcodedText" />

                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal"
                        android:padding="5dp"
                        tools:ignore="UseCompoundDrawables">

                        <ImageView
                            android:layout_width="8dp"
                            android:layout_height="8dp"
                            android:layout_gravity="center_vertical"
                            android:background="@drawable/bg_00bf79_8"
                            tools:ignore="ContentDescription" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_marginStart="5dp"
                            android:text="Photo"
                            android:textColor="#666666"
                            android:textSize="12sp"
                            android:textStyle="bold"
                            tools:ignore="HardcodedText" />

                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal"
                        android:padding="5dp"
                        tools:ignore="UseCompoundDrawables">

                        <ImageView
                            android:layout_width="8dp"
                            android:layout_height="8dp"
                            android:layout_gravity="center_vertical"
                            android:background="@drawable/bg_8338ff_8"
                            tools:ignore="ContentDescription" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_marginStart="5dp"
                            android:text="Music"
                            android:textColor="#666666"
                            android:textSize="12sp"
                            android:textStyle="bold"
                            tools:ignore="HardcodedText" />

                    </LinearLayout>

                </LinearLayout>

                <com.base.browserwhite.ui.views.ColorProgress
                    android:id="@+id/colorProgress"
                    android:layout_width="78dp"
                    android:layout_height="78dp"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toEndOf="@+id/linearLayout"
                    app:layout_constraintTop_toTopOf="parent" />

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal"
                    app:layout_constraintBottom_toBottomOf="@id/colorProgress"
                    app:layout_constraintEnd_toEndOf="@id/colorProgress"
                    app:layout_constraintStart_toStartOf="@id/colorProgress"
                    app:layout_constraintTop_toTopOf="@id/colorProgress">

                    <TextView
                        android:id="@+id/tv_percent"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textColor="@color/black"
                        android:textSize="19sp"
                        android:textStyle="bold"
                        tools:text="100" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="2dp"
                        android:text="%"
                        android:textColor="@color/black"
                        android:textSize="13sp"
                        tools:ignore="HardcodedText" />
                </LinearLayout>

            </androidx.constraintlayout.widget.ConstraintLayout>

        </androidx.cardview.widget.CardView>

        <LinearLayout
            android:id="@+id/ll_download"
            android:layout_width="match_parent"
            android:layout_height="70dp"
            android:layout_margin="16dp"
            android:background="@drawable/bg_storke_dee9f4"
            android:elevation="0dp"
            android:orientation="horizontal">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginStart="10dp"
                android:src="@mipmap/download"
                tools:ignore="ContentDescription" />

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginHorizontal="8dp"
                android:layout_weight="1"
                android:orientation="vertical">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Download"
                    android:textColor="@color/black"
                    android:textSize="16sp"
                    android:textStyle="bold"
                    tools:ignore="HardcodedText" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="5dp"
                    android:text="High definition images and videos"
                    android:textColor="#858587"
                    android:textSize="12sp"
                    tools:ignore="HardcodedText" />

            </LinearLayout>

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginEnd="10dp"
                android:src="@mipmap/jiantou_f"
                tools:ignore="ContentDescription" />
        </LinearLayout>

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="180dp"
            android:layout_marginHorizontal="16dp"
            android:layout_marginBottom="8dp"
            android:background="@drawable/bg_storke_dee9f4"
            android:orientation="vertical">

            <LinearLayout
                android:id="@+id/ll_1"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_weight="1"
                app:layout_constraintBottom_toTopOf="@id/ll_2"
                app:layout_constraintTop_toTopOf="parent"
                tools:ignore="DisableBaselineAlignment">

                <LinearLayout
                    android:id="@+id/ll_picture"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:orientation="vertical">

                    <ImageView
                        android:layout_width="35dp"
                        android:layout_height="35dp"
                        android:layout_gravity="center_horizontal"
                        android:layout_marginTop="8dp"
                        android:src="@mipmap/picture_f"
                        tools:ignore="ContentDescription" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_horizontal"
                        android:layout_marginTop="2dp"
                        android:text="Picture"
                        android:textColor="#010101"
                        android:textSize="12sp"
                        tools:ignore="HardcodedText" />

                    <TextView
                        android:id="@+id/tv_photo_size"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_marginTop="3dp"
                        android:includeFontPadding="false"
                        android:text="0"
                        android:textSize="12sp"
                        tools:ignore="HardcodedText" />


                </LinearLayout>

                <LinearLayout
                    android:id="@+id/ll_video"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:orientation="vertical">

                    <ImageView
                        android:layout_width="35dp"
                        android:layout_height="35dp"
                        android:layout_gravity="center_horizontal"
                        android:layout_marginTop="8dp"
                        android:src="@mipmap/video_f"
                        tools:ignore="ContentDescription" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_horizontal"
                        android:layout_marginTop="2dp"
                        android:text="Video"
                        android:textColor="#010101"
                        android:textSize="12sp"
                        tools:ignore="HardcodedText" />

                    <TextView
                        android:id="@+id/tv_video_size"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_marginTop="3dp"
                        android:includeFontPadding="false"
                        android:text="0"
                        android:textSize="12sp"
                        tools:ignore="HardcodedText" />


                </LinearLayout>

                <LinearLayout
                    android:id="@+id/ll_document"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:orientation="vertical">

                    <ImageView
                        android:layout_width="35dp"
                        android:layout_height="35dp"
                        android:layout_gravity="center_horizontal"
                        android:layout_marginTop="8dp"
                        android:src="@mipmap/document_f"
                        tools:ignore="ContentDescription" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_horizontal"
                        android:layout_marginTop="2dp"
                        android:text="Document"
                        android:textColor="#010101"
                        android:textSize="12sp"
                        tools:ignore="HardcodedText" />

                    <TextView
                        android:id="@+id/tv_document"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_marginTop="3dp"
                        android:includeFontPadding="false"
                        android:text="0"
                        android:textSize="12sp"
                        tools:ignore="HardcodedText" />


                </LinearLayout>

            </LinearLayout>

            <LinearLayout
                android:id="@+id/ll_2"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_marginBottom="5dp"
                android:layout_weight="1"
                android:orientation="horizontal"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintTop_toBottomOf="@id/ll_1"
                tools:ignore="DisableBaselineAlignment">


                <LinearLayout
                    android:id="@+id/ll_apk"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:orientation="vertical">

                    <ImageView
                        android:layout_width="35dp"
                        android:layout_height="35dp"
                        android:layout_gravity="center_horizontal"
                        android:layout_marginTop="8dp"
                        android:src="@mipmap/apk_f"
                        tools:ignore="ContentDescription" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_horizontal"
                        android:layout_marginTop="2dp"
                        android:text="Apk File"
                        android:textColor="#010101"
                        android:textSize="12sp"
                        tools:ignore="HardcodedText" />

                    <TextView
                        android:id="@+id/tv_apk_size"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_marginTop="3dp"
                        android:includeFontPadding="false"
                        android:text="0"
                        android:textSize="12sp"
                        tools:ignore="HardcodedText" />


                </LinearLayout>

                <LinearLayout
                    android:id="@+id/ll_music"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:orientation="vertical">

                    <ImageView
                        android:layout_width="35dp"
                        android:layout_height="35dp"
                        android:layout_gravity="center_horizontal"
                        android:layout_marginTop="8dp"
                        android:src="@mipmap/music_f"
                        tools:ignore="ContentDescription" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_horizontal"
                        android:layout_marginTop="2dp"
                        android:text="Music"
                        android:textColor="#010101"
                        android:textSize="12sp"
                        tools:ignore="HardcodedText" />

                    <TextView
                        android:id="@+id/tv_audio_size"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_marginTop="3dp"
                        android:includeFontPadding="false"
                        android:text="0"
                        android:textSize="12sp"
                        tools:ignore="HardcodedText" />


                </LinearLayout>

                <LinearLayout
                    android:id="@+id/ll_zip"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:orientation="vertical">

                    <ImageView
                        android:layout_width="35dp"
                        android:layout_height="35dp"
                        android:layout_gravity="center_horizontal"
                        android:layout_marginTop="8dp"
                        android:src="@mipmap/zip_f"
                        tools:ignore="ContentDescription" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_horizontal"
                        android:layout_marginTop="2dp"
                        android:text="Zip File"
                        android:textColor="#010101"
                        android:textSize="12sp"
                        tools:ignore="HardcodedText" />

                    <TextView
                        android:id="@+id/tv_zip_size"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_marginTop="3dp"
                        android:includeFontPadding="false"
                        android:text="0"
                        tools:ignore="HardcodedText" />


                </LinearLayout>
            </LinearLayout>

        </androidx.constraintlayout.widget.ConstraintLayout>

        <TextView
            android:id="@+id/tv_title_recent"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="16dp"
            android:layout_marginTop="8dp"
            android:text="Recent Files"
            android:textColor="@color/black"
            android:textSize="18sp"
            android:textStyle="bold"
            tools:ignore="HardcodedText" />

        <LinearLayout
            android:id="@+id/ll_permission"
            android:layout_width="match_parent"
            android:layout_height="75dp"
            android:layout_marginHorizontal="15dp"
            android:layout_marginTop="10dp"
            android:background="@drawable/bg_storke_dee9f4"
            android:orientation="horizontal"
            android:visibility="gone">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginStart="12dp"
                android:src="@mipmap/tishitu"
                tools:ignore="ContentDescription" />

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginStart="8dp"
                android:layout_weight="1"
                android:text="Enable storage permissions"
                android:textColor="#010101"
                android:textSize="14sp"
                tools:ignore="HardcodedText" />

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginEnd="10dp"
                android:src="@mipmap/jiantou_f"
                tools:ignore="ContentDescription" />

        </LinearLayout>

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv_recent"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginVertical="4dp"
            app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
            tools:listitem="@layout/item_media_recent" />

    </LinearLayout>


</androidx.core.widget.NestedScrollView>